#! /bin/sh

set -e

case "$1" in
    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
        ;;
    remove)
        if [ -x "/etc/init.d/buildbot-master" ]; then
	    if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
                invoke-rc.d buildbot-master stop || exit \\$?
	    else
                /etc/init.d/buildbot-master stop || exit \\$?
	    fi
	fi
        ;;
    purge)
        getent passwd buildbot-master >/dev/null && \
	if [ -x /usr/sbin/deluser ]; then
	    deluser --quiet --system buildbot
	fi
	rm -rf /var/lib/buildbot-master
	rm -rf /var/run/buildbot-master
        ;;
    *)
        echo "postrm called with unknown argument \`$1'" >&2
        exit 1

esac

#DEBHELPER#

exit 0
